Bug 164182 - ASSERTION FAILED: locale in WebCore::lastHyphenLocation
Summary: ASSERTION FAILED: locale in WebCore::lastHyphenLocation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks: 116980
  Show dependency treegraph
 
Reported: 2016-10-29 11:24 PDT by Renata Hodovan
Modified: 2017-01-18 13:50 PST (History)
10 users (show)

See Also:


Attachments
Test (76 bytes, application/octet-stream)
2016-10-29 11:24 PDT, Renata Hodovan
no flags Details
Patch (3.08 KB, patch)
2016-12-06 14:58 PST, Myles C. Maxfield
zalan: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (1.10 MB, application/zip)
2016-12-06 15:56 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-yosemite (2.01 MB, application/zip)
2016-12-06 16:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.39 MB, application/zip)
2016-12-06 16:31 PST, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (17.77 MB, application/zip)
2016-12-06 16:46 PST, Build Bot
no flags Details
Patch for committing (5.50 KB, patch)
2016-12-08 16:01 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renata Hodovan 2016-10-29 11:24:53 PDT
Load the attached test with debug WebKitTestRunner:

Checked version: 8af8b44
OS: Darwin-15.6.0-x86_64-i386-64bit

<style>{}*{letter-spacing:81in;zoom:7823</style><l lang=0><o><e><v><f><n><q>

Backtrace:

ASSERTION FAILED: locale
WebKit/Source/WebCore/platform/text/cf/HyphenationCF.cpp(79) : size_t WebCore::lastHyphenLocation(WTF::StringView, size_t, const WTF::AtomicString &)
1   0x10dbb64f1 WTFCrash
2   0x113fa4555 WebCore::lastHyphenLocation(WTF::StringView, unsigned long, WTF::AtomicString const&)
3   0x1174d53ba WebCore::maxWordFragmentWidth(WebCore::RenderText&, WebCore::RenderStyle const&, WebCore::FontCascade const&, WTF::StringView, unsigned int, unsigned int, unsigned int&, WTF::HashSet<WebCore::Font const*, WTF::PtrHash<WebCore::Font const*>, WTF::HashTraits<WebCore::Font const*> >&, WebCore::GlyphOverflow&)
4   0x1174d294c WebCore::RenderText::computePreferredLogicalWidths(float, WTF::HashSet<WebCore::Font const*, WTF::PtrHash<WebCore::Font const*>, WTF::HashTraits<WebCore::Font const*> >&, WebCore::GlyphOverflow&)
5   0x1174d0b6c WebCore::RenderText::computePreferredLogicalWidths(float)
6   0x1174ceedd WebCore::RenderText::trimmedPrefWidths(float, float&, bool&, float&, bool&, bool&, bool&, float&, float&, float&, float&, bool&)
7   0x116c03dd4 WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
8   0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
9   0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
10  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
11  0x116c0247e WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
12  0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
13  0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
14  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
15  0x116c0247e WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
16  0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
17  0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
18  0x116e36c20 WebCore::RenderFieldset::computePreferredLogicalWidths()
19  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
20  0x116c0247e WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
21  0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
22  0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
23  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
24  0x116c0247e WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
25  0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
26  0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
27  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
28  0x116c0247e WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
29  0x116c00962 WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const
30  0x116b7d993 WebCore::RenderBlock::computePreferredLogicalWidths()
31  0x116cddb3f WebCore::RenderBox::minPreferredLogicalWidth() const
ASAN:DEADLYSIGNAL
=================================================================
==16661==ERROR: AddressSanitizer: SEGV on unknown address 0x0000bbadbeef (pc 0x00010dbb6529 bp 0x7fff5b8e2770 sp 0x7fff5b8e2760 T0)
    #0 0x10dbb6528 in WTFCrash (WebKit/WebKitBuild/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore+0x2d01528)
    #1 0x113fa4554 in WebCore::lastHyphenLocation(WTF::StringView, unsigned long, WTF::AtomicString const&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x215a554)
    #2 0x1174d53b9 in WebCore::maxWordFragmentWidth(WebCore::RenderText&, WebCore::RenderStyle const&, WebCore::FontCascade const&, WTF::StringView, unsigned int, unsigned int, unsigned int&, WTF::HashSet<WebCore::Font const*, WTF::PtrHash<WebCore::Font const*>, WTF::HashTraits<WebCore::Font const*> >&, WebCore::GlyphOverflow&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x568b3b9)
    #3 0x1174d294b in WebCore::RenderText::computePreferredLogicalWidths(float, WTF::HashSet<WebCore::Font const*, WTF::PtrHash<WebCore::Font const*>, WTF::HashTraits<WebCore::Font const*> >&, WebCore::GlyphOverflow&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x568894b)
    #4 0x1174d0b6b in WebCore::RenderText::computePreferredLogicalWidths(float) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x5686b6b)
    #5 0x1174ceedc in WebCore::RenderText::trimmedPrefWidths(float, float&, bool&, float&, bool&, bool&, bool&, float&, float&, float&, float&, bool&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x5684edc)
    #6 0x116c03dd3 in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db9dd3)
    #7 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #8 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #9 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #10 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #11 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #12 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #13 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #14 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #15 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #16 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #17 0x116e36c1f in WebCore::RenderFieldset::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4fecc1f)
    #18 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #19 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #20 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #21 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #22 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #23 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #24 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #25 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #26 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #27 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #28 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #29 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #30 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #31 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #32 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #33 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #34 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #35 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #36 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #37 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #38 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #39 0x116c0247d in WebCore::RenderBlockFlow::computeInlinePreferredLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db847d)
    #40 0x116c00961 in WebCore::RenderBlockFlow::computeIntrinsicLogicalWidths(WebCore::LayoutUnit&, WebCore::LayoutUnit&) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4db6961)
    #41 0x116b7d992 in WebCore::RenderBlock::computePreferredLogicalWidths() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d33992)
    #42 0x116cddb3e in WebCore::RenderBox::minPreferredLogicalWidth() const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e93b3e)
    #43 0x116cd3aea in WebCore::RenderBox::computeLogicalWidthInRegionUsing(WebCore::SizeType, WebCore::Length, WebCore::LayoutUnit, WebCore::RenderBlock const&, WebCore::RenderRegion*) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e89aea)
    #44 0x116cfd0d0 in WebCore::RenderBox::computeLogicalWidthInRegion(WebCore::RenderBox::LogicalExtentComputedValues&, WebCore::RenderRegion*) const (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4eb30d0)
    #45 0x116cfaff3 in WebCore::RenderBox::updateLogicalWidth() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4eb0ff3)
    #46 0x116b535a0 in WebCore::RenderBlock::recomputeLogicalWidth() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d095a0)
    #47 0x116c06755 in WebCore::RenderBlockFlow::recomputeLogicalWidthAndColumnWidth() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4dbc755)
    #48 0x116c08e8c in WebCore::RenderBlockFlow::layoutBlock(bool, WebCore::LayoutUnit) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4dbee8c)
    #49 0x116b531b1 in WebCore::RenderBlock::layout() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d091b1)
    #50 0x1135e03eb in WebCore::RenderElement::layoutIfNeeded() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x17963eb)
    #51 0x116c12130 in WebCore::RenderBlockFlow::insertFloatingObject(WebCore::RenderBox&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4dc8130)
    #52 0x1161f3abb in WebCore::LineBreaker::skipLeadingWhitespace(WebCore::BidiResolverWithIsolate<WebCore::InlineIterator, WebCore::BidiRun, WebCore::BidiIsolatedRun>&, WebCore::LineInfo&, WebCore::FloatingObject*, WebCore::LineWidth&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x43a9abb)
    #53 0x1161f4043 in WebCore::LineBreaker::nextLineBreak(WebCore::BidiResolverWithIsolate<WebCore::InlineIterator, WebCore::BidiRun, WebCore::BidiIsolatedRun>&, WebCore::LineInfo&, WebCore::LineLayoutState&, WebCore::RenderTextInfo&, WebCore::FloatingObject*, unsigned int, WTF::Vector<WebCore::WordMeasurement, 64ul, WTF::CrashOnOverflow, 16ul>&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x43aa043)
    #54 0x116c88b09 in WebCore::RenderBlockFlow::layoutRunsAndFloatsInRange(WebCore::LineLayoutState&, WebCore::BidiResolverWithIsolate<WebCore::InlineIterator, WebCore::BidiRun, WebCore::BidiIsolatedRun>&, WebCore::InlineIterator const&, WebCore::BidiStatus const&, unsigned int) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e3eb09)
    #55 0x116c8580a in WebCore::RenderBlockFlow::layoutRunsAndFloats(WebCore::LineLayoutState&, bool) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e3b80a)
    #56 0x116c90f41 in WebCore::RenderBlockFlow::layoutLineBoxes(bool, WebCore::LayoutUnit&, WebCore::LayoutUnit&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4e46f41)
    #57 0x116c0c79a in WebCore::RenderBlockFlow::layoutInlineChildren(bool, WebCore::LayoutUnit&, WebCore::LayoutUnit&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4dc279a)
    #58 0x116c09790 in WebCore::RenderBlockFlow::layoutBlock(bool, WebCore::LayoutUnit) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4dbf790)
    #59 0x116b531b1 in WebCore::RenderBlock::layout() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x4d091b1)
    #60 0x11759a3b5 in WebCore::RenderView::layoutContent(WebCore::LayoutState const&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x57503b5)
    #61 0x11759c815 in WebCore::RenderView::layout() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x5752815)
    #62 0x11394e6a1 in WebCore::FrameView::layout(bool) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1b046a1)
    #63 0x112fd69d5 in WebCore::Document::implicitClose() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x118c9d5)
    #64 0x1138bc1e2 in WebCore::FrameLoader::checkCallImplicitClose() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1a721e2)
    #65 0x1138bbccb in WebCore::FrameLoader::checkCompleted() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1a71ccb)
    #66 0x1138bc43c in WebCore::FrameLoader::completed() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1a7243c)
    #67 0x1138bbd0f in WebCore::FrameLoader::checkCompleted() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1a71d0f)
    #68 0x1138d3035 in WebCore::FrameLoader::receivedMainResourceError(WebCore::ResourceError const&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x1a89035)
    #69 0x113118395 in WebCore::DocumentLoader::mainReceivedError(WebCore::ResourceError const&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x12ce395)
    #70 0x113119a04 in WebCore::DocumentLoader::notifyFinished(WebCore::CachedResource&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x12cfa04)
    #71 0x11245bb23 in WebCore::CachedResource::checkNotify() (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x611b23)
    #72 0x11245be13 in WebCore::CachedResource::error(WebCore::CachedResource::Status) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x611e13)
    #73 0x117f4da78 in WebCore::SubresourceLoader::didFail(WebCore::ResourceError const&) (WebKit/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore+0x6103a78)
    #74 0x105daf6d0 in WebKit::WebResourceLoader::didFailResourceLoad(WebCore::ResourceError const&) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1a916d0)
    #75 0x105dbde09 in void IPC::callMemberFunctionImpl<WebKit::WebResourceLoader, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&), std::__1::tuple<WebCore::ResourceError>, 0ul>(WebKit::WebResourceLoader*, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&), std::__1::tuple<WebCore::ResourceError>&&, std::__1::integer_sequence<unsigned long, 0ul>) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1a9fe09)
    #76 0x105dbda14 in void IPC::callMemberFunction<WebKit::WebResourceLoader, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&), std::__1::tuple<WebCore::ResourceError>, std::__1::integer_sequence<unsigned long, 0ul> >(std::__1::tuple<WebCore::ResourceError>&&, WebKit::WebResourceLoader*, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&)) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1a9fa14)
    #77 0x105dbaa93 in void IPC::handleMessage<Messages::WebResourceLoader::DidFailResourceLoad, WebKit::WebResourceLoader, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&)>(IPC::Decoder&, WebKit::WebResourceLoader*, void (WebKit::WebResourceLoader::*)(WebCore::ResourceError const&)) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1a9ca93)
    #78 0x105db8c4b in WebKit::WebResourceLoader::didReceiveWebResourceLoaderMessage(IPC::Connection&, IPC::Decoder&) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1a9ac4b)
    #79 0x104ae1da9 in WebKit::NetworkProcessConnection::didReceiveMessage(IPC::Connection&, IPC::Decoder&) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x7c3da9)
    #80 0x1044f5fba in IPC::Connection::dispatchMessage(IPC::Decoder&) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1d7fba)
    #81 0x1044de7c4 in IPC::Connection::dispatchMessage(std::__1::unique_ptr<IPC::Decoder, std::__1::default_delete<IPC::Decoder> >) (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1c07c4)
    #82 0x1044f6ca5 in IPC::Connection::dispatchOneMessage() (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1d8ca5)
    #83 0x10450725c in IPC::Connection::enqueueIncomingMessage(std::__1::unique_ptr<IPC::Decoder, std::__1::default_delete<IPC::Decoder> >)::$_14::operator()() (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1e925c)
    #84 0x104507188 in WTF::Function<void ()>::CallableWrapper<IPC::Connection::enqueueIncomingMessage(std::__1::unique_ptr<IPC::Decoder, std::__1::default_delete<IPC::Decoder> >)::$_14>::call() (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/WebKit+0x1e9188)
    #85 0x10dc3a830 in WTF::Function<void ()>::operator()() const (WebKit/WebKitBuild/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore+0x2d85830)
    #86 0x10dc84c46 in WTF::RunLoop::performWork() (WebKit/WebKitBuild/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore+0x2dcfc46)
    #87 0x10dc85b11 in WTF::RunLoop::performWork(void*) (WebKit/WebKitBuild/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore+0x2dd0b11)
    #88 0x7fff81c1f880 in __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation+0xaa880)
    #89 0x7fff81bfefbb in __CFRunLoopDoSources0 (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation+0x89fbb)
    #90 0x7fff81bfe4de in __CFRunLoopRun (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation+0x894de)
    #91 0x7fff81bfded7 in CFRunLoopRunSpecific (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation+0x88ed7)
    #92 0x7fff82fde934 in RunCurrentEventLoopInMode (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox+0x30934)
    #93 0x7fff82fde76e in ReceiveNextEventCommon (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox+0x3076e)
    #94 0x7fff82fde5ae in _BlockUntilNextEventMatchingListInModeWithFilter (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox+0x305ae)
    #95 0x7fff8e643df5 in _DPSNextEvent (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit+0x48df5)
    #96 0x7fff8e643225 in -[NSApplication _nextEventMatchingEventMask:untilDate:inMode:dequeue:] (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit+0x48225)
    #97 0x7fff8e637d7f in -[NSApplication run] (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit+0x3cd7f)
    #98 0x7fff8e601367 in NSApplicationMain (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit+0x6367)
    #99 0x7fff92f09193 in _xpc_objc_main (/usr/lib/system/libxpc.dylib+0x11193)
    #100 0x7fff92f07bbd in xpc_main (/usr/lib/system/libxpc.dylib+0xfbbd)
    #101 0x104303f73 in main (WebKit/WebKitBuild/Debug/WebKit.framework/Versions/A/XPCServices/com.apple.WebKit.WebContent.xpc/Contents/MacOS/com.apple.WebKit.WebContent.Development+0x100001f73)
    #102 0x7fff8ab8d5ac in start (/usr/lib/system/libdyld.dylib+0x35ac)
    #103 0x0  (<unknown module>)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: SEGV (WebKit/WebKitBuild/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore+0x2d01528) in WTFCrash
==16661==ABORTING
#CRASHED - com.apple.WebKit.WebContent.Development (pid 16661)
Comment 1 Renata Hodovan 2016-10-29 11:24:56 PDT
Created attachment 293300 [details]
Test
Comment 2 Alexey Proskuryakov 2016-10-31 13:30:20 PDT
"lang=0"
Comment 3 Myles C. Maxfield 2016-12-06 14:58:53 PST
Created attachment 296329 [details]
Patch
Comment 4 Build Bot 2016-12-06 15:56:28 PST
Comment on attachment 296329 [details]
Patch

Attachment 296329 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2637018

New failing tests:
fast/text/hyphenation-unknown-locale.html
Comment 5 Build Bot 2016-12-06 15:56:32 PST
Created attachment 296340 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-12-06 16:08:18 PST
Comment on attachment 296329 [details]
Patch

Attachment 296329 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2637039

New failing tests:
fast/text/hyphenation-unknown-locale.html
Comment 7 Build Bot 2016-12-06 16:08:23 PST
Created attachment 296343 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Build Bot 2016-12-06 16:31:39 PST
Comment on attachment 296329 [details]
Patch

Attachment 296329 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2637299

New failing tests:
fast/text/hyphenation-unknown-locale.html
Comment 9 Build Bot 2016-12-06 16:31:44 PST
Created attachment 296347 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 10 Build Bot 2016-12-06 16:46:18 PST
Comment on attachment 296329 [details]
Patch

Attachment 296329 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2637325

New failing tests:
fast/text/hyphenation-unknown-locale.html
Comment 11 Build Bot 2016-12-06 16:46:22 PST
Created attachment 296352 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 12 Myles C. Maxfield 2016-12-08 16:01:05 PST
Created attachment 296581 [details]
Patch for committing
Comment 13 WebKit Commit Bot 2016-12-08 18:06:33 PST
Comment on attachment 296581 [details]
Patch for committing

Clearing flags on attachment: 296581

Committed r209591: <http://trac.webkit.org/changeset/209591>